net.sf.jasperreports.charts

## Interface JRBubblePlot

- All Superinterfaces:
    java.lang.Cloneable, JRChartPlot, JRCloneable, JRXAxisFormat, JRYAxisFormat
  All Known Implementing Classes:
    JRBaseBubblePlot, JRDesignBubblePlot, JRFillBubblePlot

      public interface JRBubblePlot
      extends JRChartPlot, JRXAxisFormat, JRYAxisFormat

  Only Bubble charts use this type of plot. Like all other two-axis plots, it lets users control the labels displayed for each axis.
  The plot draws an ellipse for each item present in the dataset for a given series. Usually this is a circle whose radius is specified by the `Z` value in that chart item. However, the plot needs to know whether the `Z` value is proportional to its corresponding `X` value or to its corresponding `Y` value in order to calculate the actual size of the bubble.
  The type of bubble scaling is specified by the `scaleType` attribute that the plot exposes:
  - Range axis scaling: The bubble is a circle with the radius proportional to the `Y` value for each item (`scaleType="RangeAxis"`).
  - Domain axis scaling: The bubble is a circle with the radius proportional to the `X` value for each item (`scaleType="DomainAxis"`).
  - Scaling on both axes: The bubble is an ellipse with the height proportional to the `Y` value and the width proportional to the `X` value for each item (`scaleType="BothAxes"`).
  By default, bubbles scale on the range axis.
  Version:
    $Id: JRBubblePlot.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getDomainAxisMaxValueExpression()`
    `JRExpression` | `getDomainAxisMinValueExpression()`
    `JRExpression` | `getRangeAxisMaxValueExpression()`
    `JRExpression` | `getRangeAxisMinValueExpression()`
    `ScaleTypeEnum` | `getScaleTypeValue()`
    `JRExpression` | `getXAxisLabelExpression()`
    `JRExpression` | `getYAxisLabelExpression()`
    `void` | `setScaleType(ScaleTypeEnum scaleType)` Sets the scale type.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRXAxisFormat

      `getOwnXAxisLabelColor, getOwnXAxisLineColor, getOwnXAxisTickLabelColor, getXAxisLabelColor, getXAxisLabelFont, getXAxisLineColor, getXAxisTickLabelColor, getXAxisTickLabelFont, getXAxisTickLabelMask, getXAxisVerticalTickLabels`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRYAxisFormat

      `getOwnYAxisLabelColor, getOwnYAxisLineColor, getOwnYAxisTickLabelColor, getYAxisLabelColor, getYAxisLabelFont, getYAxisLineColor, getYAxisTickLabelColor, getYAxisTickLabelFont, getYAxisTickLabelMask, getYAxisVerticalTickLabels`

- - ### Method Detail

    - #### getXAxisLabelExpression

          JRExpression getXAxisLabelExpression()

      Returns:
        the x axis label expression

    - #### getYAxisLabelExpression

          JRExpression getYAxisLabelExpression()

      Returns:
        the y axis label expression

    - #### getScaleTypeValue

          ScaleTypeEnum getScaleTypeValue()

      Returns:
        the scale type. Possible values are:
        - `ON_BOTH_AXES`
        - `ON_DOMAIN_AXIS`
        - `ON_RANGE_AXIS`
      See Also:
        `ScaleTypeEnum`

    - #### setScaleType

          void setScaleType(ScaleTypeEnum scaleType)

      Sets the scale type.
      Parameters:
        `scaleType` - the scale type

    - #### getDomainAxisMinValueExpression

          JRExpression getDomainAxisMinValueExpression()

      Returns:
        the minimum value expression for the domain axis

    - #### getDomainAxisMaxValueExpression

          JRExpression getDomainAxisMaxValueExpression()

      Returns:
        the maximum value expression for the domain axis

    - #### getRangeAxisMinValueExpression

          JRExpression getRangeAxisMinValueExpression()

      Returns:
        the minimum value expression for the range axis

    - #### getRangeAxisMaxValueExpression

          JRExpression getRangeAxisMaxValueExpression()

      Returns:
        the maximum value expression for the range axis

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com